Subject: Re: bug#17554: 24.3.91; [Regression] re-usage of dired *Marked Files* buffer window

From: Juri Linkov <[email-masked]>
Date: Wed, 11 Jun 2014 01:57:30 +0300

> The earlier behavior was handwoven and allowed three windows to coexist
> simultaneously on one and the same frame.  We can't achieve that via
> `display-buffer' because the default value of `split-height-threshold'
> precludes it.  IMHO that value is ridiculously small and in practice
> always inhibits popping up a third window.  But changing that value for
> the release doesn't sound like a good idea to me.

The standard terminal size is 80x25.  80*2 = 160 which is a good
default width for `split-width-threshold'.  Correspondingly, 25*2 = 50
would be a better default height for `split-height-threshold'
to be changed in the trunk.  (Another good change for the trunk
is to use `display-buffer-at-bottom' for *Completions*).

> So IIUC we have to write our own `split-window-preferred-function' here.

For the emacs-24 branch `split-window-preferred-function' won't help
if the window height is smaller than `split-height-threshold',
and *Completions* still will be displayed in the small window
of *Marked Files*.  This could be fixed only by displaying
*Completions* in the window containing the Dired buffer
(without using split-window) like it was in previous releases.
This is why I tried to mark *Marked Files* as dedicated.